RoutesBooks module

Books routes

URLs the Books module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/books/add-book addBook

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$book Book Single (empty) Book record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/books/book/{id}/{revision.id} editBook

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+revision.id matches \d+

The admin template receives
VariableTypeDescription
$book Book Retrieved Book record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/books/books manageBooks

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$books Collection<Book> Collection of Books

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/books/add-unit/{book.id} addUnit

Add a new record. Assigns an empty record to the template.

Path parameters book.id matches \d+

The admin template receives
VariableTypeDescription
$unit Unit Single (empty) Unit record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/books/unit/{id}/{revision.id} editUnit

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+revision.id matches \d+

The admin template receives
VariableTypeDescription
$unit Unit Retrieved Unit record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/books/books manageUnits

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$books Collection<Book> Collection of Books

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/books/add-page/{unit.id} addPage

Add a new record. Assigns an empty record to the template.

Path parameters unit.id matches \d+

The admin template receives
VariableTypeDescription
$page Page Single (empty) Page record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/books/page/{id}/{revision.id} editPage

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+revision.id matches \d+

The admin template receives
VariableTypeDescription
$page Page Retrieved Page record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/books/books managePages

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$books Collection<Book> Collection of Books

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.